# [for (x)emacs] -*- coding: utf-8 -*-
Summary: Text mode tools for setting system time parameters.
Name: timeconfig
Version: 3.2.9
Release: 1
License: GPL
Group: Applications/System
Source: timeconfig-%{version}.tar.gz
Requires: initscripts >= 2.81, glibc >= 2.0.5-5
Requires: util-linux >= 2.9w-26
Prereq: fileutils, gawk
Buildrequires: newt-devel
BuildRoot: %{_tmppath}/timeconfig-%{version}-root

%description
The timeconfig package contains two utilities: timeconfig and
setclock.  Timeconfig provides a simple text mode tool for configuring
the time parameters in /etc/sysconfig/clock and /etc/localtime. The
setclock tool sets the hardware clock on the system to the current
time stored in the system clock.

%prep
%setup -q

%build
%ifarch s390 s390x
find man -name "setclock*" -exec rm -f \{\} \;
%endif
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/usr install mandir=$RPM_BUILD_ROOT/%{_mandir}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -L /etc/localtime ]; then
    _FNAME=`ls -ld /etc/localtime | awk '{ print $11}' | sed 's/lib/share/'`
    rm /etc/localtime
    cp -f $_FNAME /etc/localtime
    if ! grep -q "^ZONE=" /etc/sysconfig/clock ; then
      echo "ZONE=\"$_FNAME"\" | sed -e "s|[^\"]*/usr/share/zoneinfo/||" >> /etc/sysconfig/clock
    fi
fi

%files -f %{name}.lang
%defattr(-,root,root)
/usr/sbin/timeconfig
%ifnarch s390 s390x
/usr/sbin/setclock
%endif
%{_mandir}/*/*

%changelog
* Tue Sep  3 2002 Trond Eivind Glomsrød <teg@redhat.com> 3.2.9-1
- Update translations

* Wed Aug 28 2002 Trond Eivind Glomsrød <teg@redhat.com> 3.2.8-3
- update translations

* Thu Aug 15 2002 Bill Nottingham <notting@redhat.com> 3.2.8-2
- rebuild against new newt

* Mon Apr 15 2002 Trond Eivind Glomsrød <teg@redhat.com> 3.2.8-1
- Update translations

* Mon Mar 18 2002 Trond Eivind Glomsrød <teg@redhat.com> 3.2.7-1
- Use mandir properly, don't hardcode /usr/share/man (#60912)

* Mon Mar 18 2002 Trond Eivind Glomsrød <teg@redhat.com> 3.2.6-1
- Depend on util-linux on other platforms than just alpha (#61357)

* Thu Feb 28 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude setclock on s390,s390x

* Tue Feb 26 2002 Trond Eivind Glomsrød <teg@redhat.com> 3.2.5-1
- Rebuild

* Fri Jan 25 2002 Trond Eivind Glomsrød <teg@redhat.com> 3.2.4-1
- Rebuild

* Mon Oct  8 2001 Trond Eivind Glomsrød <teg@redhat.com> 3.2.3-1
- Fix segfault in error reporting (#54414)

* Tue Aug 28 2001 Trond Eivind Glomsrød <teg@redhat.com> 3.2.2-1
- Translation update

* Mon Jul 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Add newt-devel to build dependencies
- s/Copyright/License/

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- last translation update and merge.

* Wed Jan 24 2001 Preston Brown <pbrown@redhat.com>
- final i18n update before beta
- use lang finding macro

* Mon Nov 20 2000 Trond Eivind Glomsrød <teg@redhat.com>
- make sure /etc/localtime is created 0644 regardsless of umask
  (#21074)

* Thu Aug 24 2000 Erik Troan <ewt@redhat.com>
- updated it es translations

* Sun Aug 20 2000 Matt Wilson <msw@redhat.com>
- updated translations for hu is no ro ru sv uk

* Tue Aug 15 2000 Trond Eivind Glomsrød <teg@redhat.com>
- update copyright date (#16278)

* Wed Aug 09 2000 Trond Eivind Glomsrød <teg@redhat.com>
- i18n merge

* Tue Aug 08 2000 Trond Eivind Glomsrød <teg@redhat.com>
- remove extra ";"s and ":" from the setclock script (#15719)

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- new translations for de fr it es

* Wed Jun 07 2000 Trond Eivind Glomsrød <teg@redhat.com>
- New version, which no longer includes man pages for the
  CVS "locale", fixes usage of PREFIX and moves man pages to 
  share/man

* Tue May 30 2000 Trond Eivind Glomsrød <teg@redhat.com>
- fix bug in man pages (references non-existing man(8))
- use %%{_mandir}
- remove date macro used in %%changelog

* Wed Mar 08 2000 Cristian Gafton <gafton@redhat.com>
- rebuild for release

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- fix /etc/localtime reference in man page

* Wed Oct 27 1999 Bill Nottingham <notting@redhat.com>
- we now ship hwclock on alpha

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- fix setclock script...

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Thu Jul 29 1999 Bill Nottingham <notting@redhat.com>
- fix %post

* Thu Jul  8 1999 Bill Nottingham <notting@redhat.com>
- fix %post

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- fix link in %post, too...

* Wed Jun 16 1999 Bill Nottingham <notting@redhat.com>
- copy file to /etc/localtime, don't link it
- add a field to /etc/sysconfig/clock to point to the actual file

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat Linux 6.0

* Tue Mar  9 1999 Jeff Johnson <jbj@redhat.com>
- add in_ID.po

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.40

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- add ru.po.

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- built for Raw Hide (slang-1.2.2)

* Thu Oct 08 1998 Cristian Gafton <gafton@redhat.com>
- updated czech translation (and use cs instead of cz)

* Fri Sep 25 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- added pt_BR translations
- pt_BR man translations
- man tree, with Makefile
- top level Makefile calls make -C po clean & make -C man install

* Fri Sep 25 1998 Jeff Johnson <jbj@redhat.com>
- add sr.po.

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- added NEWT_FLAG_SCROLL to listbox creation for newt 0.30
- added --test

* Fri Jun 05 1998 Erik Troan <ewt@redhat.com>
- return 0 on success

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- many more translations

* Mon Apr 20 1998 Erik Troan <ewt@redhat.com>
- uses a build root
- added de and en_RN translations

* Mon Mar 23 1998 Erik Troan <ewt@redhat.com>
- shortended window a bit -- white (rather, blue) space is a good thing

* Sun Mar 22 1998 Erik Troan <ewt@redhat.com>
- added --back option

* Sat Oct 11 1997 Erik Troan <ewt@redhat.com>
- use proper flags for hwclock

* Tue Sep 16 1997 Erik Troan <ewt@redhat.com>
- instead of creating /usr/lib/zoneinfo, just update /etc/localtime

* Wed Sep 10 1997 Erik Troan <ewt@redhat.com>
- look for zoneinfo in /usr/share instead of /usr/lib
- provide /usr/lib/zoneinfo symlink
